QGIS Application - Bug report #17992
DB Manager Versioning: _current view lacks primary key
2018-01-29 09:05 AM - Paolo Cavallini

Status: Open

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:3.3(master) Regression?: No
Operating System: Easy fix?: Yes
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 25888
Description

The Versioning / Change logging automatically creates a view with the current elements. Unfortunately, in the view it is not included the
‘id_hist’, but only the "id", which can be duplicated, e.g. in case of a split polygon.

As a consequence, the view cannot be loaded.

| suggest to simply add "id_hist" to the view.

The fix can be easily backported to 2.18.

History

#1 - 2018-02-24 04:48 PM - Paolo Cavallini

See also #14013

#2 - 2018-02-24 05:00 PM - Giovanni Manghi
- Affected QGIS version changed from master to 3.0.0

PLEASE UPDATE THE AFFECTED VERSION!

#3 - 2018-09-25 01:45 PM - Loic BARTOLETTI

Should be closed? Now you can define the name of PK (and others)

#4 - 2018-09-25 02:30 PM - Paolo Cavallini

AFAICT this is still valid: in the view simply there is not a PK, it's not a matter of its name.

#5 - 2018-09-25 06:15 PM - Giovanni Manghi

Paolo Cavallini wrote:

AFAICT this is still valid: in the view simply there is not a PK, it's not a matter of its name.

checked on master? if yes change the affected version.
#6 - 2018-09-25 08:18 PM - Paolo Cavallini
- Affected QGIS version changed from 3.0.0 to 3.3(master)

Confirmed
